* {
    font-family: 'Courier New', monospace;
}

body {
    background-color: #252422;
    color: #FFFCF2;
    display: block;
}

/* James Lee */
h1 {
    color:#EB5E28;
    text-shadow: 2px 2px 10px #252422;
    font-size: 4.7rem;
}

.intro {
    height: 100vh;
    width: 100%;
    background-color: #7FA6A1;
    color: #252422;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 60px;
    padding: 2%;
    box-sizing: border-box;
}

.intro-text {
    flex: 1;
    max-width: 600px;
    font-size: 2rem;
}

.intro-statement {
    line-height: 1.2;
}

#laptop {
    padding-top: 4%;
    width: 60%;
    max-width: 850px;
    height: auto;
}

.intro, #laptop {
    display: flex;
    justify-content: center;
}

.navbar {
    position: fixed;
    display: flex;
    width: 100vw;
    justify-content: space-between;
    background-color: #403D39;
    flex-direction: row-reverse;
    height: 55px;
    top: 0;
}

.navbar ul {
    display: flex;
    gap: 45px;
    list-style-type: none;
    padding-right: 100px;
}

.navbar a {
    color: #FFFCF2;
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: bold;
}

.navbar a:hover {
    color: #EB5E28;
}

/* Used to offset navbar link */
hr {
    opacity: 0;
}

.intro-button {
    display: inline-block;
    border: 2px solid #252422;
    padding: 18px 30px;
    border-radius: 10px;
    background-color: #403D39;
    color: #EB5E28;
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: bold;
}

.intro-button:hover {
    background-color: #FFFCF2;
}

/* Portfolio Sections */
h2:not(.intro-text h2) {
    text-shadow: 0px 0px 10px #EB5E28;
    scroll-padding-top: 80px;
    margin-top: 10%;
    text-align: center;
    font-size: 3.5rem;
    color: #EB5E28;
    text-decoration: underline;
    text-underline-offset: 20px;
}

#about, #contact, #projects {
    min-height: 100vh;
    width: auto;
}

.about-content {
    display: flex;
    justify-content: space-evenly;
    margin-top: 5%;
    height: 60vh;
}

.left-about {
    text-shadow: 0px 0px 50px #CCC5B9;
    width: 40%;
    height: 100%;
    line-height: 1.5;
    font-size: 1.1rem;
    padding-left: 5%;
    text-align: center;
}

#portfolio-image {
    width: 45%;
    height: 60%;
    border-radius: 300px;
    border: 2px solid #7FA6A1;
    box-shadow: 0px 0px 10px#7FA6A1;
    margin-bottom: 3%;
}

.skills {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    width: 40%;
    height: 100%;
    border: 2px solid #EB5E28;
    border-radius: 15px;
    box-shadow: 0px 0px 10px#EB5E28;
}

.skills p {
    font-size: 1.1rem;
    font-weight: bold;
    padding-top: 25%;
}

.icon {
    width: 40%;
    height: 45%;
    transform: translate(100%, 60%);
    z-index: -1;
}

.lunaa {
    display: flex;
    align-items: flex-start;
    justify-content: space-evenly;
    margin-bottom: 10%;
    text-shadow: 0px 0px 50px #CCC5B9;
}

.lunaa p {
    width: 100%;
    line-height: 1.8rem;
    font-size: 1rem;
}

#lunaa-demo {
    border-radius: 10px;
    width: 35%;
    margin-top: 1%;
    border: 2px solid #EB5E28;
    box-shadow: 0px 0px 10px#EB5E28;
}

/* Project Titles */
h3 {
    text-align: center;
    font-size: 1.8rem;
    color: #7FA6A1;
    text-shadow: 0px 0px 10px #7FA6A1;
    margin-top: 3%;
}

.lunaa-left {
    width: 40%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.code-button {
    width: fit-content;
    padding: 20px 25px;
    border-radius: 10px;
    background-color: #7FA6A1;
    color: #252422;
    text-decoration: none;
    text-align: center;
    font-size: 1.2rem;
    font-weight: bold;
    margin-left: 35%;
    margin-top: 5%;
}

.code-button:hover {
    background-color: #CCC5B9;
    color: #252422;
}

/* Key Features */
h4 {
    font-size: 1.2rem;
    color: #EB5E28;
    text-decoration: underline;
    text-underline-offset: 50%;
}

.lunaa-list li {
    margin-bottom: 10px;
}

.ball {
    display: flex;
    align-items: flex-start;
    justify-content: space-evenly;
    text-shadow: 0px 0px 50px #CCC5B9;
}

#ball-demo {
    width: 35%;
    margin-top: 1%;
    border-radius: 10px;
    border: 3px solid #EB5E28;
    box-shadow: 0px 0px 10px#EB5E28;
}

.ball p {
    width: 100%;
    line-height: 1.8rem;
    font-size: 1rem;
}

.ball-list li {
    margin-bottom: 10px;
}

.ball-right {
    width: 40%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.contact-statement {
    text-align: center;
    font-size: 1.4rem;
    text-shadow: 0px 0px 50px #CCC5B9;
}

.socials {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    text-shadow: 0px 0px 50px #CCC5B9;
}

.social-link {
    width: 23%;
    display: inline-flex;
    text-decoration: none;
    color: #7FA6A1;
    margin-top: 3%;
    margin-bottom: 2%;
    margin-left: 18.5%;
    align-items: center;
}

.social-link img{
    width: 100px;
    height: 100px;
    border-radius: 20%;
    background-color: #7FA6A1;
    border: 2px solid #7FA6A1;
    box-shadow: 0px 0px 10px#7FA6A1;
}

.social-link img:hover:not(#location) {
    background-color: #EB5E28;
    border: 2px solid #EB5E28;
    box-shadow: 0px 0px 10px#EB5E28;
}

.social-link p {
    margin-left: 5%;
    margin-top: 1.5%;
    font-weight: bold;
    font-size: 1.3rem;
}

.social-link p:hover:not(#location-text) {
    color: #EB5E28;
}

#location {
    border: 2px solid #EB5E28;
    box-shadow: 0px 0px 10px#EB5E28;
}

/* ---------------- SMALLER SCREENS & BIGGER TABLETS ---------------- */
@media (max-width: 1100px) {

    h1 {
        font-size: 3.8rem;
    }

    .intro {
        gap: 30px;
        padding: 5%;
    }

    .intro-text {
        font-size: 1.6rem;
    }

    #laptop {
        width: 50%;
        height: auto;
    }

    .about-content {
        padding-right: 40px;
        gap: 25px;
    }

    .left-about {
        width: 45%;
        padding-left: 0;
        font-size: 1rem;
    }

    #portfolio-image {
        width: auto;
    }

    .skills {
        width: 45%;
    }

    #lunaa-demo {
        display: flex;
        justify-content: space-evenly;
        margin-bottom: 10%;

    }

    .social-link {
        width: 35%;
        margin-left: 10%;
    }
}

/* ---------------- TABLETS ---------------- */
@media (max-width: 800px) {

    .navbar {
        justify-content: center;
        flex-direction: row;   
        position: fixed;
        z-index: 3;
    }

    .navbar ul {
        padding: 0;
        gap: 40px;
    }

    .navbar a {
        font-size: 1rem;
    }

    .intro {
        min-height: 100vh;
        height: auto;
        flex-direction: column;
        text-align: center;
        padding: 50px 50px;
    }

    .intro-text {
        font-size: 1.4rem;
    }

    h1 {
        font-size: 3.5rem;
    }

    #laptop {
        width: 80%;
        max-width: 600px;
        padding-top: 0;
    }

    h2:not(.intro-text h2) {
        font-size: 3rem;
        margin-top: 80px;
    } 

    #portfolio-image {
        width: 250px;
        height: 250px;
    }

    .about-content {
        height: auto;
        flex-direction: column;
        align-items: center;
        gap: 50px;
        padding: 0 8%;
    }

    .left-about {
        width: 100%;
    }

    .skills {
        width: 100%;
        height: auto;
        padding-bottom: 30px;
    }

    .icon {
        width: 60px;
        height: 60px;
    }

    .lunaa, .ball {
        flex-direction: column;
        align-items: center;
        gap: 30px;
        margin-bottom: 80px;
    }

    .lunaa-left, .ball-right {
        width: 100%;
        text-align: center;
    }

    .lunaa-left li, .ball-right li {
        text-align: left;
    }

    .code-button {
         margin: 30px auto 0;
    }
    
    #lunaa-demo, #ball-demo {
        width: 90%;
    }

    .ball-right {
        order: -1;
    }

    .socials {
        flex-direction: column;
        align-items: center;
    }

    .social-link {
        width: 80%;
    }

    .social-link img {
        width: 75px;
        height: 75px;
    }
}


/* ---------------- PHONES ---------------- */
@media (max-width: 550px) {

    body {
        margin: 0;
    }

    .navbar {
        z-index: 3;
        min-height: 55px;
        height: auto;
    }

    .navbar ul {
        width: 100%;
        justify-content: space-evenly;
        gap: 5px;
        padding: 0 5px;
    }

    .intro-text {
        font-size: 1.15rem;
    }

    h1 {
        font-size: 2.8rem;
    }

    .intro-text h2 {
        font-size: 1.7rem;
    }

    #laptop {
        width: 100%;
    }

    h2:not(.intro-text h2) {
        font-size: 2.4rem;
        text-underline-offset: 12px;
    }

    #portfolio-image {
        width: 200px;
        height: 200px;
    }

    .about-content {
        padding: 0 5%;
    }

    .skills p {
        font-size: 1rem;
    }

    .skills {
        
    }

    .icon {
        width: 50px;
        height: 50px;
        margin-left: -35px
    }

    .lunaa, .ball {
        padding: 0 6%;
    }

    .lunaa p, .ball p {
        line-height: 1.6rem;
    }

    #lunaa-demo, #ball-demo {
        width: 100%;
    }

    .lunaa-list, .ball-list {
        padding-left: 25px;
    }

    .contact-statement {
        font-size: 1.1rem;
        padding: 0 20px;
    }

    .social-link {
        width: 90%;
    }

    .social-link img {
        width: 60px;
        height: 60px;
    }

    .social-link p {
        font-size: .9rem;
    }
}

